searchNodes=[{"doc":"Fetches weather observations for a US state/territory.","ref":"NOAA.Observations.html","title":"NOAA.Observations","type":"module"},{"doc":"Fetches weather observations for a US state /territory. Returns a tuple of either {:ok, [obs]} or {:error, text} . Parameters state - US state/territory code url_templates - URL templates (keyword) URL templates :state - URL template for a state (EEx string) :station - URL template for a station (EEx string) Examples iex&gt; alias NOAA.Observations iex&gt; { :ok , observations } = Observations . fetch ( &quot;vt&quot; ) iex&gt; Enum . all? ( observations , &amp; is_map / 1 ) and length ( observations ) &gt; 0 true","ref":"NOAA.Observations.html#fetch/2","title":"NOAA.Observations.fetch/2","type":"function"},{"doc":"Parses the command line and prints a table of weather observations from the NOAA Weather Service. Exercise in the book Programming Elixir by Dave Thomas.","ref":"NOAA.Observations.CLI.html","title":"NOAA.Observations.CLI","type":"module"},{"doc":"Parses the command line and prints a table of weather observations from the NOAA Weather Service. argv can be &quot;-h&quot; or &quot;--help&quot;, which prints info on the command's usage and syntax. Otherwise it contains a state (case-insensitive) and optionally the number of observations to format (the first n ones). To format the last n observations, specify switch --last . To ring the bell, specify switch --bell . To choose a table style, specify switch --table-style . Parameters argv - command line arguments (list) Switches -h or --help - for help -l or --last - to format the last n observations -b or --bell - to ring the bell -t or --table-style - to choose a table style Table styles bare - no colors barish - like bare but colored cyan - cyan background cyan-alt - cyan header, alternating row colors cyan-border - light cyan border cyan-mult - cyan header, 3 repeating row colors dark - dark colors dark-alt - dark colors, alternating row colors dark-mult - dark colors, 3 repeating row colors dashed - no colors dotted - slightly colored dotted-alt - slightly colored, alternating row colors dotted-mult - slightly colored, 3 repeating row colors game - game board green - green background green-alt - green header, alternating row colors green-border - light green border green-border-padded - light green border with extra padding green-border-unpadded - light green border without padding green-mult - green header, 3 repeating row colors green-padded - like green but with extra padding green-unpadded - like green but without padding light - light colors light-alt - light colors, alternating row colors light-mult - light colors, 3 repeating row colors medium - medium colors medium-alt - medium colors, alternating row colors medium-mult - medium colors, 3 repeating row colors mixed - fillers revealed plain - slightly colored pretty - multicolored pretty-alt - multicolored, alternating row colors pretty-mult - multicolored, 3 repeating row colors test - no colors yellow - light yellow background yellow-border - light yellow border","ref":"NOAA.Observations.CLI.html#main/1","title":"NOAA.Observations.CLI.main/1","type":"function"},{"doc":"","ref":"NOAA.Observations.CLI.html#t:bell/0","title":"NOAA.Observations.CLI.bell/0","type":"type"},{"doc":"","ref":"NOAA.Observations.CLI.html#t:count/0","title":"NOAA.Observations.CLI.count/0","type":"type"},{"doc":"","ref":"NOAA.Observations.CLI.html#t:parsed/0","title":"NOAA.Observations.CLI.parsed/0","type":"type"},{"doc":"Prints info on the command's usage and syntax.","ref":"NOAA.Observations.Help.html","title":"NOAA.Observations.Help","type":"module"},{"doc":"Prints info on the command's usage and syntax.","ref":"NOAA.Observations.Help.html#show_help/0","title":"NOAA.Observations.Help.show_help/0","type":"function"},{"doc":"","ref":"NOAA.Observations.Log.html","title":"NOAA.Observations.Log","type":"module"},{"doc":"","ref":"NOAA.Observations.Log.html#error/2","title":"NOAA.Observations.Log.error/2","type":"function"},{"doc":"","ref":"NOAA.Observations.Log.html#info/2","title":"NOAA.Observations.Log.info/2","type":"function"},{"doc":"","ref":"NOAA.Observations.Message.html","title":"NOAA.Observations.Message","type":"module"},{"doc":"","ref":"NOAA.Observations.Message.html#error/1","title":"NOAA.Observations.Message.error/1","type":"function"},{"doc":"","ref":"NOAA.Observations.Message.html#error/2","title":"NOAA.Observations.Message.error/2","type":"function"},{"doc":"","ref":"NOAA.Observations.Message.html#printing/1","title":"NOAA.Observations.Message.printing/1","type":"function"},{"doc":"","ref":"NOAA.Observations.Message.html#status/1","title":"NOAA.Observations.Message.status/1","type":"function"},{"doc":"Fetches the stations for a US state /territory.","ref":"NOAA.Observations.State.html","title":"NOAA.Observations.State","type":"module"},{"doc":"Fetches the stations for a US state /territory. Returns a tuple of either {:ok, station_dict} or {:error, text} . Parameters state - US state/territory code url_templates - URL templates Examples iex&gt; alias NOAA.Observations.State iex&gt; url_templates = [ ...&gt; state : ...&gt; &quot;https://w1.weather.gov/xml/current_obs/seek.php?state=&quot; &lt;&gt; ...&gt; &quot;&lt;%=state%&gt;&amp;Find=Find&quot; ...&gt; ] iex&gt; { :ok , %{ &quot;KFSO&quot; =&gt; name } } = State . stations ( &quot;vt&quot; , url_templates ) iex&gt; name &quot;Franklin County State Airport&quot; iex&gt; alias NOAA.Observations.State iex&gt; url_templates = [ ...&gt; state : ...&gt; &quot;http://w1.weather.gov/xml/current_obs/seek.php?state=&quot; &lt;&gt; ...&gt; &quot;&lt;%=state%&gt;&amp;Find=Find&quot; ...&gt; ] iex&gt; { :error , text } = State . stations ( &quot;vt&quot; , url_templates ) iex&gt; text &quot;status code 301 ⇒ Moved Permanently&quot; iex&gt; alias NOAA.Observations.State iex&gt; url_templates = [ ...&gt; state : ...&gt; &quot;https://www.weather.gov/xml/current_obs/seek.php?state=&quot; &lt;&gt; ...&gt; &quot;&lt;%=state%&gt;&amp;Find=Find&quot; ...&gt; ] iex&gt; { :error , text } = State . stations ( &quot;vt&quot; , url_templates ) iex&gt; text &quot;status code 302 ⇒ Found&quot; iex&gt; alias NOAA.Observations.State iex&gt; url_templates = [ ...&gt; state : ...&gt; &quot;https://w1.weather.gov/xml/past_obs/seek.php?state=&quot; &lt;&gt; ...&gt; &quot;&lt;%=state%&gt;&amp;Find=Find&quot; ...&gt; ] iex&gt; { :error , text } = State . stations ( &quot;vt&quot; , url_templates ) iex&gt; text &quot;status code 404 ⇒ Not Found&quot; iex&gt; alias NOAA.Observations.State iex&gt; url_templates = [ ...&gt; state : ...&gt; &quot;htp://w1.weather.gov/xml/current_obs/seek.php?state=&quot; &lt;&gt; ...&gt; &quot;&lt;%=state%&gt;&amp;Find=Find&quot; ...&gt; ] iex&gt; { :error , text } = State . stations ( &quot;vt&quot; , url_templates ) iex&gt; text &quot;reason =&gt; :nxdomain&quot; iex&gt; alias NOAA.Observations.State iex&gt; url_templates = [ state : &quot;http://localhost:1&quot; ] iex&gt; { :error , text } = State . stations ( &quot;vt&quot; , url_templates ) iex&gt; text &quot;reason =&gt; :econnrefused&quot;","ref":"NOAA.Observations.State.html#stations/2","title":"NOAA.Observations.State.stations/2","type":"function"},{"doc":"","ref":"NOAA.Observations.State.html#t:t/0","title":"NOAA.Observations.State.t/0","type":"type"},{"doc":"Fetches the latest observation for a given NOAA station .","ref":"NOAA.Observations.Station.html","title":"NOAA.Observations.Station","type":"module"},{"doc":"Fetches the latest observation for a given NOAA station . Returns a tuple of either {:ok, obs} or {:error, text} . Parameters {station, name} - NOAA station url_templates - URL templates Examples iex&gt; alias NOAA.Observations.Station iex&gt; url_templates = [ ...&gt; station : ...&gt; &quot;https://w1.weather.gov/xml/current_obs/display.php?stid=&quot; &lt;&gt; ...&gt; &quot;&lt;%=station%&gt;&quot; ...&gt; ] iex&gt; { :ok , obs } = Station . obs ( { &quot;KFSO&quot; , &quot;KFSO name&quot; } , url_templates ) iex&gt; is_map ( obs ) and ...&gt; is_binary ( obs [ &quot;temp_c&quot; ] ) and is_binary ( obs [ &quot;wind_mph&quot; ] ) true iex&gt; alias NOAA.Observations.Station iex&gt; url_templates = [ ...&gt; station : ...&gt; &quot;htp://w1.weather.gov/xml/current_obs/display.php?stid=&quot; &lt;&gt; ...&gt; &quot;&lt;%=station%&gt;&quot; ...&gt; ] iex&gt; { :error , text } = Station . obs ( { &quot;KFSO&quot; , &quot;KFSO name&quot; } , url_templates ) iex&gt; text &quot;reason =&gt; :nxdomain&quot; iex&gt; alias NOAA.Observations.Station iex&gt; url_templates = [ ...&gt; station : ...&gt; &quot;https://w1.weather.gov/xml/past_obs/display.php?stid=&quot; &lt;&gt; ...&gt; &quot;&lt;%=station%&gt;&quot; ...&gt; ] iex&gt; { :error , text } = Station . obs ( { &quot;KFSO&quot; , &quot;KFSO name&quot; } , url_templates ) iex&gt; text &quot;status code 404 ⇒ Not Found&quot;","ref":"NOAA.Observations.Station.html#obs/2","title":"NOAA.Observations.Station.obs/2","type":"function"},{"doc":"","ref":"NOAA.Observations.Station.html#t:dict/0","title":"NOAA.Observations.Station.dict/0","type":"type"},{"doc":"","ref":"NOAA.Observations.Station.html#t:name/0","title":"NOAA.Observations.Station.name/0","type":"type"},{"doc":"","ref":"NOAA.Observations.Station.html#t:obs/0","title":"NOAA.Observations.Station.obs/0","type":"type"},{"doc":"","ref":"NOAA.Observations.Station.html#t:t/0","title":"NOAA.Observations.Station.t/0","type":"type"},{"doc":"Returns a URL based on url_templates and station or state .","ref":"NOAA.Observations.URLTemplates.html","title":"NOAA.Observations.URLTemplates","type":"module"},{"doc":"Returns a URL based on url_templates and station or state . Parameters url_templates - keyword of EEx strings keyword - [station: station ] or [state: state ] Examples iex&gt; alias NOAA.Observations.URLTemplates iex&gt; url_templates = [ ...&gt; state : &quot;w1.weather.gov/seek.php?state=&lt;%=state%&gt;&amp;Find=Find&quot; , ...&gt; station : &quot;w1.weather.gov/display.php?stid=&lt;%=station%&gt;&quot; ...&gt; ] iex&gt; { URLTemplates . url ( url_templates , state : &quot;vt&quot; ) , ...&gt; URLTemplates . url ( url_templates , station : &quot;KBTV&quot; ) } { &quot;w1.weather.gov/seek.php?state=vt&amp;Find=Find&quot; , &quot;w1.weather.gov/display.php?stid=KBTV&quot; } iex&gt; alias NOAA.Observations.URLTemplates iex&gt; url_templates = [ ...&gt; state : &quot;weather.gc.ca/forecast/canada/index_e.html?id=&lt;%=state%&gt;&quot; ...&gt; ] iex&gt; URLTemplates . url ( url_templates , state : &quot;qc&quot; ) &quot;weather.gc.ca/forecast/canada/index_e.html?id=qc&quot;","ref":"NOAA.Observations.URLTemplates.html#url/2","title":"NOAA.Observations.URLTemplates.url/2","type":"function"}]